package org.eclipse.gmt.gems.model.intelligence;

import java.util.List;

/*******************************************************************************
 * Copyright (c) 2007 Jules White. All rights reserved. This program and
 * the accompanying materials are made available under the terms of the Eclipse
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: Jules White - initial API and implementation
 ******************************************************************************/
public interface ObjectType {
	public String getName();
	public boolean instanceOf(Object obj);
	public List<ObjectType> getSuperTypes();
	public List<ObjectType> getDerivedTypes();
}
